[Rubygems-developers] [ rubygems-Bugs-27503 ] Rubygems does not load from user's home directory

noreply at rubyforge.org noreply at rubyforge.org
Thu Dec 17 16:10:07 EST 2009


Bugs item #27503, was opened at 2009-12-01 18:37
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27503&group_id=126

Category: None
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Jan Wedekind (wedesoft)
Assigned to: Nobody (None)
Summary: Rubygems does not load from user's home directory

Initial Comment:
I am using ruby-1.9.1-p243 and rubygems-1.3.5 under GNU/Linux.

# Using Ruby-1.8.6 loading the experimental gem from the home-directory works:
mkdir /tmp/malloc
cd /tmp/malloc
wget http://www.wedesoft.demon.co.uk/downloads/malloc.tar.bz2 # I've attached it to this bug report as well
tar xjf malloc.tar.bz2
make clean all install
ruby1.8 -rrubygems -e "require 'malloc'"

# Using Ruby-1.9.1 loading the experimental gem from the home-directory does not work:
make clean all install RUBY_VERSION=1.9
gem1.9 list malloc
# *** LOCAL GEMS ***
# 
# malloc (1.0.0)
ruby1.9 -rrubygems -e "require 'malloc'"
# -e:1:in `require': no such file to load -- malloc (LoadError)
#         from -e:1:in `<main>'


----------------------------------------------------------------------

>Comment By: Jan Wedekind (wedesoft)
Date: 2009-12-17 21:10

Message:
I confirm that loading locally installed Gems works with
Ruby 1.9.1p376. Thanks!

----------------------------------------------------------------------

Comment By: Yuki Sonoda (yugui)
Date: 2009-12-16 02:30

Message:
It is a bug of Ruby 1.9.1-p243 but not RubyGems's. Ruby 1.9 uses a simplified version of RubyGems to get rid of extra overhead when booting. The simplified version could not load gems from user's home directory.

This bug was fixed at Ruby 1.9.1-p376. Please upgrade your ruby.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27503&group_id=126


More information about the Rubygems-developers mailing list